#!perl

=head1 call-metrics.t

Test that simple calls to metrics() are massaged, performed and return
a result all as expected.

=cut

use v5.14;
use lib 't/lib';
use Test::Most tests => 4;
use Test::Net::Async::Graphite;

for (qw(expand find index index.json)) {
  my $target = 'this.thing'; # TODO: random
  my $content = 'anything'; # TODO: random, and probably json
  Test::Net::Async::Graphite::test_api(
    endpoint => 'any://thing/',
    method   => 'metrics/' . $_,
    content  => $content,
    target   => $target,
    param    => { query => $target },
  );
}

